Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Billing
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
        • Overview
          • Overview
          • Get
          • List
          • ListBillableObjectBindings
          • BindBillableObject
          • ListAccessBindings
          • UpdateAccessBindings
  • Audit Trails events

In this article:

  • gRPC request
  • ListBillableObjectBindingsRequest
  • ListBillableObjectBindingsResponse
  • BillableObjectBinding
  • BillableObject
  1. API reference
  2. gRPC
  3. Billing
  4. BillingAccount
  5. ListBillableObjectBindings

Billing API, gRPC: BillingAccountService.ListBillableObjectBindings

Written by
Yandex Cloud
Updated at April 23, 2026
  • gRPC request
  • ListBillableObjectBindingsRequest
  • ListBillableObjectBindingsResponse
  • BillableObjectBinding
  • BillableObject

Retrieves the list of billable object bindings associated with the specified billing account.

gRPC requestgRPC request

rpc ListBillableObjectBindings (ListBillableObjectBindingsRequest) returns (ListBillableObjectBindingsResponse)

ListBillableObjectBindingsRequestListBillableObjectBindingsRequest

{
  "billing_account_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

billing_account_id

string

Required field. ID of the billing account to list associated billable object bindings.
To get the billing account ID, use BillingAccountService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListBillableObjectBindingsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results,
set page_token to the ListBillableObjectBindingsResponse.next_page_token
returned by a previous list request.

The maximum string length in characters is 100.

ListBillableObjectBindingsResponseListBillableObjectBindingsResponse

{
  "billable_object_bindings": [
    {
      "effective_time": "google.protobuf.Timestamp",
      "billable_object": {
        "id": "string",
        "type": "string"
      }
    }
  ],
  "next_page_token": "string"
}

Field

Description

billable_object_bindings[]

BillableObjectBinding

List of billable object bindings.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListBillableObjectBindingsRequest.page_size, use
next_page_token as the value
for the ListBillableObjectBindingsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

BillableObjectBindingBillableObjectBinding

Represents a binding of the BillableObject to a BillingAccount.

Field

Description

effective_time

google.protobuf.Timestamp

Timestamp when binding was created.

billable_object

BillableObject

Object that is bound to billing account.

BillableObjectBillableObject

Represents a link to an object in other service.
This object is being billed in the scope of a billing account.

Field

Description

id

string

ID of the object in other service.

type

string

Billable object type. Can be one of the following:

  • cloud

Was the article helpful?

Previous
List
Next
BindBillableObject
© 2026 Direct Cursus Technology L.L.C.